Delete a file
curl --request DELETE \
--url https://api.infery.ai/v1/files/{fileId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.infery.ai/v1/files/{fileId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.infery.ai/v1/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "file_1hR9xTPZqK4mVLc2nJ7fY5wB",
"object": "file",
"deleted": true
}{
"error": {
"message": "Model not found",
"type": "invalid_request_error",
"code": "model_not_found",
"param": "model"
}
}{
"error": {
"message": "Model not found",
"type": "invalid_request_error",
"code": "model_not_found",
"param": "model"
}
}Files
Delete a file
DELETE /v1/files/ — soft-delete in DB, hard-delete in GCS.
DELETE
/
v1
/
files
/
{fileId}
Delete a file
curl -X DELETE https://api.infery.ai/v1/files/file_abc123... \
-H "Authorization: Bearer $INFERY_API_KEY"
GET /v1/files/{fileId} will return 404 afterwards.Authorizations
API key in format: Bearer inf_***
Path Parameters
⌘I

